List of orders

Get paginated list of orders for the authenticated user. Uses the provided token to identify the user. At least one 'searchCriteria' parameter is required.

You can specify:

  • searchCriteria[pageSize] — Number of records per page.
  • searchCriteria[currentPage] — Page number to retrieve.

The default page size attempts to return all results, which may fail if the result set is very large.

Sorting is supported only by the 'entity_id' field in both ascending and descending order:

  • searchCriteria[sortOrders][0][field] — Sorting field name.
  • searchCriteria[sortOrders][0][direction] — Sorting direction ('asc' or 'desc').

To get the last five orders, set 'pageSize' to 5 and sort by 'entity_id' in descending order.

Examples:

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

The Store view code refers to a specific store view within a store. A marketplace can have multiple websites, each website can have multiple stores, and each store can have multiple store views. Available store view codes are listed in the admin portal under Stores > Settings > All Stores. For example, the store view code for the French store view might be fr

Query Params
number

The page number to retrieve.

number

Number of results to return per page.

string
enum

Specifies the sorting order for the returned results.

Allowed:
string

Specifies the name of the field to sort the results by. This value must match one of the sortable fields available in the resource. Used together with searchCriteria[sortOrders][0][direction] to determine both the field and the order (ascending or descending) of the sort.

Responses

Language
Credentials
Bearer
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json